# Generated by Django 5.0.2 on 2024-03-04 10:50

from django.db import migrations

from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0662_monitor_drop_last_state_change"),
    ]

    operations = [
        migrations.RunSQL(
            """
            DROP TABLE "sentry_artifactbundleflatfileindex";
            """,
            # We just create a fake table here so that the DROP will work if we roll back the migration.
            reverse_sql="CREATE TABLE sentry_artifactbundleflatfileindex (fake_col int);",
            hints={"tables": ["sentry_artifactbundleflatfileindex"]},
        ),
        migrations.RunSQL(
            """
            DROP TABLE "sentry_flatfileindexstate";
            """,
            # We just create a fake table here so that the DROP will work if we roll back the migration.
            reverse_sql="CREATE TABLE sentry_flatfileindexstate (fake_col int);",
            hints={"tables": ["sentry_flatfileindexstate"]},
        ),
        migrations.RunSQL(
            """
                ALTER TABLE "sentry_artifactbundleindex" DROP COLUMN "release_name";
                ALTER TABLE "sentry_artifactbundleindex" DROP COLUMN "dist_name";
                ALTER TABLE "sentry_artifactbundleindex" DROP COLUMN "date_last_modified";
                """,
            reverse_sql="""
                ALTER TABLE "sentry_artifactbundleindex" ADD COLUMN "release_name" varchar(250) NULL;
                ALTER TABLE "sentry_artifactbundleindex" ADD COLUMN "dist_name" varchar(64) NULL;
                ALTER TABLE "sentry_artifactbundleindex" ADD COLUMN "date_last_modified" timestamptz NULL;
                """,
            hints={"tables": ["sentry_artifactbundleindex"]},
        ),
    ]
