# Generated by Django 4.2.8 on 2024-02-05 16:00

import datetime

import django.utils.timezone
from django.db import migrations, models

import sentry.db.models.fields.bounded
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("hybridcloud", "0009_make_user_id_optional_for_slug_reservation_replica"),
    ]

    operations = [
        migrations.CreateModel(
            name="WebhookPayload",
            fields=[
                (
                    "id",
                    sentry.db.models.fields.bounded.BoundedBigAutoField(
                        primary_key=True, serialize=False
                    ),
                ),
                ("mailbox_name", models.CharField()),
                ("region_name", models.CharField()),
                ("integration_id", models.BigIntegerField(null=True)),
                ("date_added", models.DateTimeField(default=django.utils.timezone.now)),
                (
                    "schedule_for",
                    models.DateTimeField(
                        default=datetime.datetime(2016, 8, 1, 0, 0, tzinfo=datetime.UTC)
                    ),
                ),
                ("attempts", models.IntegerField(default=0)),
                ("request_method", models.CharField()),
                ("request_path", models.CharField()),
                ("request_headers", models.TextField()),
                ("request_body", models.TextField()),
            ],
            options={
                "db_table": "hybridcloud_webhookpayload",
                "indexes": [
                    models.Index(fields=["mailbox_name"], name="hybridcloud_mailbox_7bde0b_idx"),
                    models.Index(fields=["schedule_for"], name="hybridcloud_schedul_ee7ad7_idx"),
                ],
            },
        ),
    ]
